Page MenuHomePhabricator

"Error 503 Backend fetch failed" on wikistream.wmflabs.org
Closed, ResolvedPublic

Description

http://wikistream.wmflabs.org/ shows Error 503 Backend fetch failed. If this pretty known tool is unmaintained, it can be great to show a better message.
Ping @notafish & @edsu , per https://github.com/edsu/wikistream

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2017, 9:48 PM
Krenair edited projects, added Tools; removed Cloud-Services.Dec 31 2017, 11:55 AM
zhuyifei1999 edited projects, added VPS-Projects; removed Tools.Dec 31 2017, 12:03 PM
edsu added a comment.EditedDec 31 2017, 2:34 PM

It is still maintained, at least by me when I notice it is down. It appeared that /var/log on ws-web filled up with lots of daemon.log.x files (9 GBs worth). I believe this caused the process to stop, and for it to not be able to restart.

I cleared out the logs, and restarted the service. I was confused with the /etc/init/wikistream.conf file appeared to have been removed, which I've used in the past to start/stop the service. Fortunately I had a copy in the github repo for the project https://github.com/edsu/wikistream to easily put it back. If anyone has any insight into why it was removed I'd be interested to hear it.

Andrew added a subscriber: Andrew.Feb 12 2018, 5:31 PM

This is producing a 503 again.

edsu added a comment.Apr 15 2018, 6:03 PM

I'm seeing a Varnish error at wikistream.wmflabs.org again. The backend on ws-web is working fine. I'm not quite sure what's going on upstream from the app. Can someone help?

Andrew closed this task as Resolved.Jun 15 2018, 7:03 PM
Andrew claimed this task.

http://wikistream.wmflabs.org/ seems up, for the moment at least.